/*
  Warnings:

  - Added the required column `heureDebut` to the `Participer` table without a default value. This is not possible if the table is not empty.
  - Added the required column `position` to the `Choix` table without a default value. This is not possible if the table is not empty.

*/
-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_Participer" (
    "idUser" INTEGER NOT NULL,
    "idQCM" INTEGER NOT NULL,
    "feedback" TEXT NOT NULL,
    "note" REAL NOT NULL,
    "heureDebut" TEXT NOT NULL,

    PRIMARY KEY ("idUser", "idQCM"),
    CONSTRAINT "Participer_idUser_fkey" FOREIGN KEY ("idUser") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Participer_idQCM_fkey" FOREIGN KEY ("idQCM") REFERENCES "QcmTable" ("idQCM") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_Participer" ("feedback", "idQCM", "idUser", "note") SELECT "feedback", "idQCM", "idUser", "note" FROM "Participer";
DROP TABLE "Participer";
ALTER TABLE "new_Participer" RENAME TO "Participer";
CREATE TABLE "new_Choix" (
    "idChoix" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "isCorrect" BOOLEAN NOT NULL,
    "idQuestion" INTEGER NOT NULL,
    "nomChoix" TEXT NOT NULL,
    "position" INTEGER NOT NULL,
    CONSTRAINT "Choix_idQuestion_fkey" FOREIGN KEY ("idQuestion") REFERENCES "Question" ("idQuestion") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_Choix" ("idChoix", "idQuestion", "isCorrect", "nomChoix") SELECT "idChoix", "idQuestion", "isCorrect", "nomChoix" FROM "Choix";
DROP TABLE "Choix";
ALTER TABLE "new_Choix" RENAME TO "Choix";
PRAGMA foreign_key_check("Participer");
PRAGMA foreign_key_check("Choix");
PRAGMA foreign_keys=ON;
