/*
  Warnings:

  - You are about to alter the column `temps` on the `QcmTable` table. The data in that column could be lost. The data in that column will be cast from `String` to `Int`.

*/
-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_QcmTable" (
    "idQCM" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "nomQCM" TEXT NOT NULL,
    "temps" INTEGER NOT NULL,
    "randomOrder" BOOLEAN NOT NULL,
    "codeAcces" INTEGER NOT NULL,
    "idUserCreator" INTEGER NOT NULL,
    CONSTRAINT "QcmTable_idUserCreator_fkey" FOREIGN KEY ("idUserCreator") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_QcmTable" ("codeAcces", "idQCM", "idUserCreator", "nomQCM", "randomOrder", "temps") SELECT "codeAcces", "idQCM", "idUserCreator", "nomQCM", "randomOrder", "temps" FROM "QcmTable";
DROP TABLE "QcmTable";
ALTER TABLE "new_QcmTable" RENAME TO "QcmTable";
PRAGMA foreign_key_check("QcmTable");
PRAGMA foreign_keys=ON;
