/*
  Warnings:

  - Made the column `score` on table `Participer` required. This step will fail if there are existing NULL values in that column.

*/
-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_Participer" (
    "idUser" INTEGER NOT NULL,
    "idQCM" INTEGER NOT NULL,
    "feedback" TEXT NOT NULL,
    "note" REAL NOT NULL,
    "score" INTEGER NOT NULL,
    "heureDebut" INTEGER NOT NULL,
    "hasFinished" BOOLEAN NOT NULL DEFAULT false,

    PRIMARY KEY ("idUser", "idQCM"),
    CONSTRAINT "Participer_idUser_fkey" FOREIGN KEY ("idUser") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Participer_idQCM_fkey" FOREIGN KEY ("idQCM") REFERENCES "QcmTable" ("idQCM") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_Participer" ("feedback", "hasFinished", "heureDebut", "idQCM", "idUser", "note", "score") SELECT "feedback", "hasFinished", "heureDebut", "idQCM", "idUser", "note", "score" FROM "Participer";
DROP TABLE "Participer";
ALTER TABLE "new_Participer" RENAME TO "Participer";
PRAGMA foreign_key_check("Participer");
PRAGMA foreign_keys=ON;
