-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_Choix" (
    "idChoix" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "isCorrect" BOOLEAN NOT NULL,
    "idQuestion" INTEGER NOT NULL,
    "nomChoix" TEXT NOT NULL,
    "position" INTEGER NOT NULL,
    CONSTRAINT "Choix_idQuestion_fkey" FOREIGN KEY ("idQuestion") REFERENCES "Question" ("idQuestion") ON DELETE CASCADE ON UPDATE CASCADE
);
INSERT INTO "new_Choix" ("idChoix", "idQuestion", "isCorrect", "nomChoix", "position") SELECT "idChoix", "idQuestion", "isCorrect", "nomChoix", "position" FROM "Choix";
DROP TABLE "Choix";
ALTER TABLE "new_Choix" RENAME TO "Choix";
CREATE TABLE "new_Reponse" (
    "idReponse" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "idQuestion" INTEGER NOT NULL,
    "idChoix" INTEGER,
    "idUser" INTEGER NOT NULL,
    "numeric" REAL,
    CONSTRAINT "Reponse_idQuestion_fkey" FOREIGN KEY ("idQuestion") REFERENCES "Question" ("idQuestion") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Reponse_idChoix_fkey" FOREIGN KEY ("idChoix") REFERENCES "Choix" ("idChoix") ON DELETE CASCADE ON UPDATE CASCADE,
    CONSTRAINT "Reponse_idUser_fkey" FOREIGN KEY ("idUser") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_Reponse" ("idChoix", "idQuestion", "idReponse", "idUser", "numeric") SELECT "idChoix", "idQuestion", "idReponse", "idUser", "numeric" FROM "Reponse";
DROP TABLE "Reponse";
ALTER TABLE "new_Reponse" RENAME TO "Reponse";
CREATE UNIQUE INDEX "Reponse_idQuestion_idUser_idChoix_key" ON "Reponse"("idQuestion", "idUser", "idChoix");
PRAGMA foreign_key_check("Choix");
PRAGMA foreign_key_check("Reponse");
PRAGMA foreign_keys=ON;
