import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { QcmCreeComponent } from './qcm-cree/qcm-cree.component';
import { CreeComponent } from './cree/cree.component';
import { RouterModule } from '@angular/router';  // Importez RouterModule
import { FormsModule } from '@angular/forms';


@NgModule({
  declarations: [
      QcmCreeComponent,
      CreeComponent,
    ],
  imports: [
    CommonModule,
    RouterModule,
    FormsModule
  ],
  exports: [
      QcmCreeComponent,
      CreeComponent,
    ]
})
export class AffichageQcmCreeModule { }
