import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ParticipantComponent } from './participant/participant.component';
import { ResultatComponent } from './resultat/resultat.component';
import { RetourPopUpComponent } from './retour-pop-up/retour-pop-up.component';
import { VisionQuestionComponent } from './vision-question/vision-question.component';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';



@NgModule({
  declarations: [
    ParticipantComponent,
    ResultatComponent,
    RetourPopUpComponent,
    VisionQuestionComponent,
  ],
  imports: [
    CommonModule,
    RouterModule,
    FormsModule
  ],
  exports:[
    ParticipantComponent,
    ResultatComponent,
    RetourPopUpComponent,
    VisionQuestionComponent,
  ]
})
export class AffichageResultatQcmModule { }
