import { Component, inject } from '@angular/core';
import { AuthConfigService } from './auth-config.service';
import { ActivatedRoute, Router } from '@angular/router';


@Component({
               selector   : 'app-root',
               templateUrl: './app.component.html',
               styleUrl   : './app.component.scss'
           })
export class AppComponent {
    auth: AuthConfigService;
    constructor(public authService: AuthConfigService, private readonly route: ActivatedRoute,private readonly router: Router) {
        this.auth = inject(AuthConfigService)
    }

    logout() {
        this.authService.logout();
    }
}
