import { NgModule }      from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { HttpClientModule } from '@angular/common/http'; // Ajoutez cette ligne
import { AppRoutingModule }       from './app-routing.module';
import { AppComponent }           from './app.component';
import { provideAnimationsAsync } from '@angular/platform-browser/animations/async';
import { LoginComponent } from './login/login.component';
import { AffichageQcmCreeModule } from './affichage-qcm-cree/affichage-qcm-cree.module';
import { AffichageQcmRealiseModule } from './affichage-qcm-realise/affichage-qcm-realise.module';
import { CreationQcmModule } from './affichage-creation-qcm/affichage-creation-qcm.module';
import { AffichageResultatQcmModule } from './affichage-resultat-qcm/affichage-resultat-qcm.module';
import { AffichageExamenModule } from './affichage-examen/affichage-examen.module';


@NgModule({
        declarations : [ AppComponent, LoginComponent],
        imports      : [ BrowserModule, AppRoutingModule, HttpClientModule, AffichageQcmCreeModule, AffichageQcmRealiseModule, CreationQcmModule, AffichageResultatQcmModule, AffichageExamenModule],
        providers    : [ provideAnimationsAsync() ],
        bootstrap    : [ AppComponent ]
    })
export class AppModule {
}
