import { Question } from "./Question"

export class QcmData{
    idQcm: number
    nomQcm: string
    tempsMax: number
    tempsStart: number
    randomQuestion: boolean
    questions : Question[]

    constructor(nomQcm: string, tempsMax: number, randomQuestion: boolean, questions : Question[], tempsStart: number, idQcm?: number) {
      this.idQcm = idQcm ?? 0;  
      this.nomQcm = nomQcm
      this.questions = questions
      this.randomQuestion = randomQuestion
      this.tempsMax = tempsMax
      this.tempsStart = tempsStart
    }
    public delQuestion(q: Question): void{
        if (this.questions) {
          this.questions = this.questions.filter(choice => choice !== q);
        }
      }
}