/*
  Warnings:

  - The primary key for the `Reponse` table will be changed. If it partially fails, the table could be left without primary key constraint.

*/
-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_Reponse" (
    "idQuestion" INTEGER NOT NULL,
    "idChoix" INTEGER,
    "idUser" INTEGER NOT NULL,
    "numeric" REAL,

    PRIMARY KEY ("idQuestion", "idUser"),
    CONSTRAINT "Reponse_idQuestion_fkey" FOREIGN KEY ("idQuestion") REFERENCES "Question" ("idQuestion") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Reponse_idChoix_fkey" FOREIGN KEY ("idChoix") REFERENCES "Choix" ("idChoix") ON DELETE SET NULL ON UPDATE CASCADE,
    CONSTRAINT "Reponse_idUser_fkey" FOREIGN KEY ("idUser") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_Reponse" ("idChoix", "idQuestion", "idUser", "numeric") SELECT "idChoix", "idQuestion", "idUser", "numeric" FROM "Reponse";
DROP TABLE "Reponse";
ALTER TABLE "new_Reponse" RENAME TO "Reponse";
CREATE UNIQUE INDEX "Reponse_idQuestion_idUser_idChoix_key" ON "Reponse"("idQuestion", "idUser", "idChoix");
PRAGMA foreign_key_check("Reponse");
PRAGMA foreign_keys=ON;
