import { expect, jest } from '@jest/globals';
import request from 'supertest';
import { describe, it } from 'node:test';
import Server from '../../microservices/navigation_qcm/src/express/Server';

const server = new Server();

describe('POST /join', () => {
    it('manque des parametres', async () => {
      const response = await request(server.app).post('/join').send({});
      
      expect(response.status).toBe(400);
      // expect(response.body).toEqual({ message: 'Hello, world!' });
    });

    it('nombre de questions QCM', async () => {
      const response = await request(server.app).post('/join').send({});
      
      expect(response.status).toBe(401);
    });

    it('code accès QCM', async () => {
      const response = await request(server.app).post('/join').send({});
      
      expect(response.status).toBe(401);
    });

    it('existance du QCM', async () => {
      const response = await request(server.app).post('/join').send({});
      
      expect(response.status).toBe(404);
    });
  });

  describe('GET /reponseCorrect/:QCM_ID', () => {
    // it('manque des parametres', async () => {
    //   const QCM_ID = 1;
    //   jest.spyOn(db.question, 'findMany').mockResolvedValue([
    //       {
    //           idQCM: QCM_ID,
    //           numeric: null,
    //           choix: [
    //               { idChoix: 1, isCorrect: true },
    //               { idChoix: 2, isCorrect: false }
    //           ]
    //       },
    //       {
    //           idQCM: QCM_ID,
    //           numeric: 5,
    //           choix: []
    //       }
    //   ]);


    //   const response = await request(server.app).post('/reponseCorrect/${QCM_ID}').send({});
      
    //   expect(response.status).toBe(400);
    // });

    // it('nombre de questions QCM', async () => {
    //   const response = await request(server.app).post('/reponseCorrect/${QCM_ID}').send({});
      
    //   expect(response.status).toBe(401);
    // });

    // it('code accès QCM', async () => {
    //   const response = await request(server.app).post('/reponseCorrect/${QCM_ID}').send({});
      
    //   expect(response.status).toBe(401);
    // });

    // it('existance du QCM', async () => {
    //   const response = await request(server.app).post('/reponseCorrect/${QCM_ID}').send({});
      
    //   expect(response.status).toBe(404);
    // });
  });