/*
  Warnings:

  - Added the required column `codeAcces` to the `QCM` table without a default value. This is not possible if the table is not empty.

*/
-- CreateTable
CREATE TABLE "Participer" (
    "idUser" INTEGER NOT NULL,
    "idQCM" INTEGER NOT NULL,

    PRIMARY KEY ("idUser", "idQCM"),
    CONSTRAINT "Participer_idUser_fkey" FOREIGN KEY ("idUser") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Participer_idQCM_fkey" FOREIGN KEY ("idQCM") REFERENCES "QCM" ("idQCM") ON DELETE RESTRICT ON UPDATE CASCADE
);

-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_QCM" (
    "idQCM" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "nomQCM" TEXT NOT NULL,
    "temps" TEXT NOT NULL,
    "randomOrder" BOOLEAN NOT NULL,
    "codeAcces" INTEGER NOT NULL
);
INSERT INTO "new_QCM" ("idQCM", "nomQCM", "randomOrder", "temps") SELECT "idQCM", "nomQCM", "randomOrder", "temps" FROM "QCM";
DROP TABLE "QCM";
ALTER TABLE "new_QCM" RENAME TO "QCM";
PRAGMA foreign_key_check("QCM");
PRAGMA foreign_keys=ON;
