import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { CreationComponent } from './creation/creation.component';
import { NewChoiceComponent } from './new-choice/new-choice.component';
import { NewQuestionComponent } from './new-question/new-question.component';
import { QuestionCreeComponent } from './question-cree/question-cree.component';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';
import { AffichageChoixEditQuestionComponent } from './affichage-choix-edit-question/affichage-choix-edit-question.component';



@NgModule({
  declarations: [
    CreationComponent,
    NewChoiceComponent,
    NewQuestionComponent,
    QuestionCreeComponent,
    AffichageChoixEditQuestionComponent,
  ],
  imports: [
    CommonModule,
    RouterModule,
    FormsModule
  ],
  exports: [
    CreationComponent,
    NewChoiceComponent,
    NewQuestionComponent,
    QuestionCreeComponent,
  ]
})
export class CreationQcmModule { }
