import { Component, Input } from '@angular/core';
import { Question } from '../../classes/qcm/Question';
import { MatDialog } from '@angular/material/dialog';
import { QcmData } from '../../classes/qcm/QcmData';
import { Fetch } from '../../classes/Fetch';

@Component({
  selector: 'app-question-cree',
  templateUrl: './question-cree.component.html',
  styleUrl: './question-cree.component.scss'
})
export class QuestionCreeComponent {
  @Input() question!: Question;
  @Input() qcm!: QcmData;

  constructor(public dialog: MatDialog) {}

  del(): void{
    this.qcm.delQuestion(this.question)
    console.log(this.question.idQuestion)
    Fetch.deleteQuestion(this.question.idQuestion)
  }
  
}
