import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ExamenComponent } from './examen/examen.component';
import { QuestionComponent } from './question/question.component';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';



@NgModule({
  declarations: [ExamenComponent, QuestionComponent],
  imports: [
    CommonModule,
    RouterModule,
    FormsModule
  ],
  exports: [ExamenComponent, QuestionComponent]
})
export class AffichageExamenModule { }
