import { Component, Input } from '@angular/core';
import { QcmCree } from '../../classes/creer/QcmCree';

@Component({
  selector: 'app-cree',
  templateUrl: './cree.component.html',
})
export class CreeComponent {
  @Input() qcm!: QcmCree;
  haveParticipant(): boolean{
    return this.qcm.participant !== 0
  }
  copy() : void{
    try {
      navigator.clipboard.writeText(this.qcm.code.toString());
    } catch (err) {
      console.error('Failed to copy text: ', err);
    }
  }
}
