import { Component, inject } from '@angular/core';
import { Fetch } from '../../classes/Fetch';
import { QcmCree } from '../../classes/creer/QcmCree';
import { Router } from '@angular/router';
import { AuthConfigService } from '../../auth-config.service';

@Component({
  selector: 'app-qcm-creer',
  templateUrl: './qcm-cree.component.html',
})
export class QcmCreeComponent {
  auth: AuthConfigService;
  qcms!: QcmCree[];

  constructor(private readonly router: Router) {
    this.auth = inject(AuthConfigService)
    this.auth.redirectNoLogin()
    let idU =Number(localStorage.getItem('idUser'))
    console.log("idUtilisateur: "+idU)
    Fetch.getQcmsCreer(idU)
    .then(data => {this.qcms = data})
    .catch(error => console.error('Erreur lors de la requête pour Contact:', error))
  }
}
