import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';  // Importez RouterModule
import { FeedbackPopupComponent } from './feedback-popup/feedback-popup.component';
import { QcmRealiseComponent } from './qcm-realise/qcm-realise.component';
import { RealiseComponent } from './realise/realise.component';
import { VisionResultPopupComponent } from './vision-result-popup/vision-result-popup.component';
import { AffichageResultatQcmModule } from '../affichage-resultat-qcm/affichage-resultat-qcm.module';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [
    FeedbackPopupComponent,
    QcmRealiseComponent,
    RealiseComponent,
    VisionResultPopupComponent
  ],
  imports: [
    RouterModule,
    CommonModule,
    AffichageResultatQcmModule,
    FormsModule
  ],
  exports: [
    FeedbackPopupComponent,
    QcmRealiseComponent,
    RealiseComponent,
    VisionResultPopupComponent
  ]
})
export class AffichageQcmRealiseModule { }
