import { Component,Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { ParticipantQcm } from '../../classes/resultat/ParticpantQcm';
@Component({
  selector: 'app-vision-result-popup',
  templateUrl: './vision-result-popup.component.html',
  styleUrl: './vision-result-popup.component.scss'
})
export class VisionResultPopupComponent {
  participant: ParticipantQcm;
  constructor(
    public dialogRef: MatDialogRef<VisionResultPopupComponent>,
    @Inject(MAT_DIALOG_DATA) public data: {ParticipantQcm: ParticipantQcm}
  ) {
    this.participant = data.ParticipantQcm
  }
}