import { Choix } from "./Choix";
import { Reponse } from "./Reponse";

export class Question{
    // Définition de la classe Question
    question: string;
    idQuestion: number;
    nbPtsNegatif: number;
    nbPtsPositif: number;
    image?: string;
    isMultiple: boolean;
    isVraiFaux: boolean;
    isNumerique: boolean;
    choix?: Choix[];
    valNum?: number;
    valVraiFaux?: boolean;
    reponses?: Reponse[];  
    position: number;
    randomOrder: boolean;

    constructor( question: string, idQuestion: number, nbPtsNegatif: number, nbPtsPositif: number, isMultiple: boolean,randomOrder: boolean, choix?: Choix[], image?: string, isVraiFaux: boolean=false,  isNumerique: boolean=false, valNum?: number, valVraiFaux?: boolean, reponses?: Reponse[], position?: number) 
    {
      this.randomOrder = randomOrder;
      this.isMultiple = isMultiple;
      this.nbPtsNegatif = nbPtsNegatif;
      this.nbPtsPositif = nbPtsPositif;
      this.question = question;
      this.image = image;
      this.idQuestion = idQuestion;
      this.choix = choix;
      this.isVraiFaux = isVraiFaux;
      this.isNumerique = isNumerique;
      this.valNum = valNum;
      this.valVraiFaux = valVraiFaux;
      this.reponses = reponses;
      this.position = position ?? 0;
    }
    public delChoix(c: Choix): void{
      if (this.choix) {
        this.choix = this.choix.filter(choice => choice !== c);
      }
    }
}