/*
  Warnings:

  - You are about to drop the `Qcm` table. If the table is not empty, all the data it contains will be lost.

*/
-- DropTable
PRAGMA foreign_keys=off;
DROP TABLE "Qcm";
PRAGMA foreign_keys=on;

-- CreateTable
CREATE TABLE "QcmTable" (
    "idQCM" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "nomQCM" TEXT NOT NULL,
    "temps" TEXT NOT NULL,
    "randomOrder" BOOLEAN NOT NULL,
    "codeAcces" INTEGER NOT NULL
);

-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_Question" (
    "idQuestion" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "question" TEXT NOT NULL,
    "position" INTEGER NOT NULL,
    "nbPtsPositif" INTEGER NOT NULL,
    "nbPtsNegatif" INTEGER NOT NULL,
    "numeric" BOOLEAN,
    "idQCM" INTEGER NOT NULL,
    "idType" INTEGER NOT NULL,
    CONSTRAINT "Question_idQCM_fkey" FOREIGN KEY ("idQCM") REFERENCES "QcmTable" ("idQCM") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Question_idType_fkey" FOREIGN KEY ("idType") REFERENCES "Type" ("idType") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_Question" ("idQCM", "idQuestion", "idType", "nbPtsNegatif", "nbPtsPositif", "numeric", "position", "question") SELECT "idQCM", "idQuestion", "idType", "nbPtsNegatif", "nbPtsPositif", "numeric", "position", "question" FROM "Question";
DROP TABLE "Question";
ALTER TABLE "new_Question" RENAME TO "Question";
CREATE TABLE "new_Participer" (
    "idUser" INTEGER NOT NULL,
    "idQCM" INTEGER NOT NULL,
    "feedback" TEXT NOT NULL,
    "note" REAL NOT NULL,

    PRIMARY KEY ("idUser", "idQCM"),
    CONSTRAINT "Participer_idUser_fkey" FOREIGN KEY ("idUser") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Participer_idQCM_fkey" FOREIGN KEY ("idQCM") REFERENCES "QcmTable" ("idQCM") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_Participer" ("feedback", "idQCM", "idUser", "note") SELECT "feedback", "idQCM", "idUser", "note" FROM "Participer";
DROP TABLE "Participer";
ALTER TABLE "new_Participer" RENAME TO "Participer";
PRAGMA foreign_key_check("Question");
PRAGMA foreign_key_check("Participer");
PRAGMA foreign_keys=ON;
