/*
  Warnings:

  - Added the required column `isMultiple` to the `Question` table without a default value. This is not possible if the table is not empty.
  - Added the required column `idUserCreator` to the `QcmTable` table without a default value. This is not possible if the table is not empty.

*/
-- RedefineTables
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_Question" (
    "idQuestion" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "question" TEXT NOT NULL,
    "position" INTEGER NOT NULL,
    "nbPtsPositif" INTEGER NOT NULL,
    "nbPtsNegatif" INTEGER NOT NULL,
    "numeric" BOOLEAN,
    "idQCM" INTEGER NOT NULL,
    "idType" INTEGER NOT NULL,
    "isMultiple" BOOLEAN NOT NULL,
    CONSTRAINT "Question_idQCM_fkey" FOREIGN KEY ("idQCM") REFERENCES "QcmTable" ("idQCM") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Question_idType_fkey" FOREIGN KEY ("idType") REFERENCES "Type" ("idType") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_Question" ("idQCM", "idQuestion", "idType", "nbPtsNegatif", "nbPtsPositif", "numeric", "position", "question") SELECT "idQCM", "idQuestion", "idType", "nbPtsNegatif", "nbPtsPositif", "numeric", "position", "question" FROM "Question";
DROP TABLE "Question";
ALTER TABLE "new_Question" RENAME TO "Question";
CREATE TABLE "new_QcmTable" (
    "idQCM" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "nomQCM" TEXT NOT NULL,
    "temps" TEXT NOT NULL,
    "randomOrder" BOOLEAN NOT NULL,
    "codeAcces" INTEGER NOT NULL,
    "idUserCreator" INTEGER NOT NULL,
    CONSTRAINT "QcmTable_idUserCreator_fkey" FOREIGN KEY ("idUserCreator") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE
);
INSERT INTO "new_QcmTable" ("codeAcces", "idQCM", "nomQCM", "randomOrder", "temps") SELECT "codeAcces", "idQCM", "nomQCM", "randomOrder", "temps" FROM "QcmTable";
DROP TABLE "QcmTable";
ALTER TABLE "new_QcmTable" RENAME TO "QcmTable";
PRAGMA foreign_key_check("Question");
PRAGMA foreign_key_check("QcmTable");
PRAGMA foreign_keys=ON;
